#ifndef DEBUG_H
#define DEBUG_H

#include "kadu-config.h"

/*
	<<< kdebug >>>
	Wywietla komunikat debugujcy na konsoli.
	Skadnia jak w printf.
*/
#ifdef DEBUG_ENABLED
#define kdebug(format,args...) \
	_kdebug(__FILE__,__LINE__,format,##args)
#else
#define kdebug(format,args...)
#endif
	
/*
	<<< kdebugf >>>
	Wywietla komunikat debugujcy zawierajcy
	nazw aktualnie wykonywanej funkcji.
	Z zaoenia makro to powinno by wywoane
	w pierwszej linii kadej funkcji. Dziki
	temu mona bdzie w przyszoci ledzi
	dziaanie programu.
*/	
#define kdebugf() \
	kdebug("%s\n",__PRETTY_FUNCTION__)

/*
	Funkcja pomocnicza. Nie uywa.
*/
#ifdef DEBUG_ENABLED
void _kdebug(const char* file,const int line,const char* format,...);
#endif

#endif
